<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BaseRowColShifter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseRowColShifter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":9,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BaseRowColShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html"
               title="class in org.apache.poi.ss.usermodel.helpers"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
               target="_top">Frames</a></li>
        <li><a href="BaseRowColShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.helpers</div>
    <h2 title="Class BaseRowColShifter" class="title">Class BaseRowColShifter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.usermodel.helpers.BaseRowColShifter</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html"
                           title="class in org.apache.poi.ss.usermodel.helpers">ColumnShifter</a>, <a
                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                            title="class in org.apache.poi.ss.usermodel.helpers">RowShifter</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">BaseRowColShifter</span>
extends java.lang.Object</pre>
                <div class="block">Class for code common to <a
                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                        title="class in org.apache.poi.ss.usermodel.helpers"><code>RowShifter</code></a> and <a
                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html"
                        title="class in org.apache.poi.ss.usermodel.helpers"><code>ColumnShifter</code></a>
                    Helper for shifting rows up or down and columns left and right
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 4.0.0</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#BaseRowColShifter--">BaseRowColShifter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>abstract java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#shiftMergedRegions-int-int-int-">shiftMergedRegions</a></span>(int&nbsp;start,
                                    int&nbsp;end,
                                    int&nbsp;n)</code>
                                    <div class="block">Shifts, grows, or shrinks the merged regions due to a row shift
                                        (<a href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                                            title="class in org.apache.poi.ss.usermodel.helpers"><code>RowShifter</code></a>)
                                        or column shift (<a
                                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html"
                                                title="class in org.apache.poi.ss.usermodel.helpers"><code>ColumnShifter</code></a>).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#shiftRange-org.apache.poi.ss.formula.FormulaShifter-org.apache.poi.ss.util.CellRangeAddress-int-">shiftRange</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter,
                                    <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cra,
                                    int&nbsp;currentExternSheetIx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Update conditional formatting</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Update formulas.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Shift the Hyperlink anchors (not the hyperlink text, even if the
                                        hyperlink
                                        is of type LINK_DOCUMENT and refers to a cell that was shifted).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Update named ranges</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="BaseRowColShifter--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BaseRowColShifter</h4>
                                <pre>public&nbsp;BaseRowColShifter()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateNamedRanges</h4>
                                <pre>public abstract&nbsp;void&nbsp;updateNamedRanges(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block">Update named ranges</div>
                            </li>
                        </ul>
                        <a name="updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateFormulas</h4>
                                <pre>public abstract&nbsp;void&nbsp;updateFormulas(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block">Update formulas.</div>
                            </li>
                        </ul>
                        <a name="shiftMergedRegions-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftMergedRegions</h4>
                                <pre>public abstract&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&gt;&nbsp;shiftMergedRegions(int&nbsp;start,
                                                                    int&nbsp;end,
                                                                    int&nbsp;n)</pre>
                                <div class="block">Shifts, grows, or shrinks the merged regions due to a row shift
                                    (<a href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                                        title="class in org.apache.poi.ss.usermodel.helpers"><code>RowShifter</code></a>)
                                    or column shift (<a
                                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html"
                                            title="class in org.apache.poi.ss.usermodel.helpers"><code>ColumnShifter</code></a>).
                                    Merged regions that are completely overlaid by shifting will be deleted.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>start</code> - the first row or column to be shifted</dd>
                                    <dd><code>end</code> - the last row or column to be shifted</dd>
                                    <dd><code>n</code> - the number of rows or columns to shift</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a list of affected merged regions, excluding contain deleted ones</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateConditionalFormatting</h4>
                                <pre>public abstract&nbsp;void&nbsp;updateConditionalFormatting(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block">Update conditional formatting</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulaShifter</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateHyperlinks</h4>
                                <pre>public abstract&nbsp;void&nbsp;updateHyperlinks(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block">Shift the Hyperlink anchors (not the hyperlink text, even if the
                                    hyperlink
                                    is of type LINK_DOCUMENT and refers to a cell that was shifted). Hyperlinks
                                    do not track the content they point to.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulaShifter</code> - the formula shifting policy</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftRange-org.apache.poi.ss.formula.FormulaShifter-org.apache.poi.ss.util.CellRangeAddress-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>shiftRange</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;shiftRange(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter,
                                          <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                             title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cra,
                                          int&nbsp;currentExternSheetIx)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BaseRowColShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html"
               title="class in org.apache.poi.ss.usermodel.helpers"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
               target="_top">Frames</a></li>
        <li><a href="BaseRowColShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
